<hdlassembly>
  <!-- tx -->
  <instance worker='cic_interpolator_xs' name='interpolator0'>
    <property name='cic_order' value='3'/>
    <property name='cic_differential_delay' value='1'/>
    <property name='cic_register_size' value='50'/>
  </instance>
  <instance worker='cic_interpolator_xs' name='interpolator1'>
    <property name='cic_order' value='3'/>
    <property name='cic_differential_delay' value='1'/>
    <property name='cic_register_size' value='50'/>
  </instance>
  <connection name='in_to_asm_tx_path0' external='consumer'>
    <port instance='interpolator0' name='input'/>
  </connection>
  <connection name='out_from_asm_tx_path_to_dac0' external='producer'>
    <port instance='interpolator0' name='output'/>
  </connection>
  <connection name='in_to_asm_tx_path1' external='consumer'>
    <port instance='interpolator1' name='input'/>
  </connection>
  <connection name='out_from_asm_tx_path_to_dac1' external='producer'>
    <port instance='interpolator1' name='output'/>
  </connection>

  <!-- rx -->
  <instance worker='cic_decimator_xs' name='decimator0'>
    <property name='cic_order' value='3'/>
    <property name='cic_differential_delay' value='1'/>
    <property name='cic_register_size' value='47'/>
  </instance>
  <instance worker='cic_decimator_xs' name='decimator1'>
    <property name='cic_order' value='3'/>
    <property name='cic_differential_delay' value='1'/>
    <property name='cic_register_size' value='47'/>
  </instance>
  <instance worker='csts_to_iqstream' name='decimator0_to_fifo0_adapter'/>
  <instance worker='csts_to_iqstream' name='decimator1_to_fifo1_adapter'/>
  <instance worker='fifo'/>
  <instance worker='fifo'/>
  <connection name='in_to_asm_rx_path_from_adc0' external='consumer'>
    <port instance='decimator0' name='input'/>
  </connection>
  <connection>
    <port instance='decimator0' name='output'/>
    <port instance='decimator0_to_fifo0_adapter' name='in'/>
  </connection>
  <connection>
    <port instance='decimator0_to_fifo0_adapter' name='out'/>
    <port instance='fifo0' name='in'/>
  </connection>
  <connection name='out_from_asm_rx_path0' external='producer'>
    <port instance='fifo0' name='out'/>
  </connection>
  <connection name='in_to_asm_rx_path_from_adc1' external='consumer'>
    <port instance='decimator1' name='input'/>
  </connection>
  <connection>
    <port instance='decimator1' name='output'/>
    <port instance='decimator1_to_fifo1_adapter' name='in'/>
  </connection>
  <connection>
    <port instance='decimator1_to_fifo1_adapter' name='out'/>
    <port instance='fifo1' name='in'/>
  </connection>
  <connection name='out_from_asm_rx_path1' external='producer'>
    <port instance='fifo1' name='out'/>
  </connection>
</hdlassembly>
